Skip to main content
POST
/
merchant
/
plan
/
archive
Archive Plan
curl --request POST \
  --url https://api.unibee.dev/merchant/plan/archive \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalPlanId": "<string>",
  "hardArchive": true,
  "planId": 123
}
'
{
  "code": 123,
  "data": {},
  "merchantId": 123,
  "message": "<string>",
  "redirect": "<string>",
  "requestId": "<string>"
}

Endpoint Overview

POST https://api.unibee.dev/merchant/plan/archive Archive Plan

Authorization

All UniBee Merchant API requests require authentication via API key.
HeaderRequiredDescription
AuthorizationYesBearer <your_api_key>
Content-TypeYesapplication/json (for request body)

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body

NameTypeRequiredDescription
externalPlanIdstringNoThe ExternalId of plan, either externalPlanId or planId should be set
hardArchivebooleanNoHard Archive
planIdintegerNoThe Id of plan, either planId or externalPlanId should be set

Request examples

cURL

curl -X POST "https://api.unibee.dev/merchant/plan/archive" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "externalPlanId": "id_example",
  "hardArchive": false,
  "planId": 0
}'

Sandbox

curl -X POST "https://api-sandbox.unibee.top/merchant/plan/archive" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "externalPlanId": "id_example",
  "hardArchive": false,
  "planId": 0
}'

Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success. The response schema for this endpoint is shown below.

Error handling

HTTP statusMeaning
400Bad request — invalid or missing parameters. Check message in the body.
401Unauthorized — missing or invalid API key.
404Not found — invalid path or resource.
500Server error — retry with backoff.
When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
externalPlanId
string<string>

The ExternalId of plan, either externalPlanId or planId should be set

hardArchive
boolean<bool>

Hard Archive

planId
integer<int64>

The Id of plan, either planId or externalPlanId should be set

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>